Bug 191949 - Lookup-specific subports of mail/exim do not have default lookup options
Summary: Lookup-specific subports of mail/exim do not have default lookup options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Vsevolod Stakhov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-18 11:56 UTC by v.chernyadev
Modified: 2015-03-29 11:01 UTC (History)
2 users (show)

See Also:


Attachments
screenshot of the default configs (240.39 KB, image/jpeg)
2014-07-18 12:03 UTC, v.chernyadev
no flags Details
Use OPTIONS_SLAVE to set options in slave ports (1.56 KB, patch)
2014-07-22 07:35 UTC, Jean-Sébastien Pédron
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description v.chernyadev 2014-07-18 11:56:30 UTC
In the port (and package) mail/exim-mysql does not selected the "mysql-lookup" by default.
Also in mail/exim-ldap2 does not selected openldap-lookup by default.
And so on.
Comment 1 v.chernyadev 2014-07-18 12:03:11 UTC
Created attachment 144776 [details]
screenshot of the default configs

screenshot of the default configs
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-07-20 18:17:43 UTC
Over to maintainer of mail/exim.
Comment 3 Jean-Sébastien Pédron freebsd_committer 2014-07-22 07:35:22 UTC
Created attachment 144868 [details]
Use OPTIONS_SLAVE to set options in slave ports

I found the same issue. With bapt's help, here's a patch to replace WITH_$OPTION=yes by OPTIONS_SLAVE=$OPTION. This sets the option and hides it from make config.
Comment 4 v.chernyadev 2014-07-22 07:42:32 UTC
What about packages?
Comment 5 Jean-Sébastien Pédron freebsd_committer 2014-07-22 07:55:08 UTC
(In reply to v.chernyadev from comment #4)
> What about packages?

Packages are built from the ports tree, so the problem must be fixed in the ports tree first. Once done, the next packages set will be ok.
Comment 6 commit-hook freebsd_committer 2014-07-22 14:05:51 UTC
A commit references this bug:

Author: vsevolod
Date: Tue Jul 22 14:05:45 UTC 2014
New revision: 362543
URL: http://svnweb.freebsd.org/changeset/ports/362543

Log:
  Convert to OPTIONS_SLAVE.

  PR:		191949
  Submitted by:	v.chernyadev at tradesoft.ru
  Patch by:	dumbbell

Changes:
  head/mail/exim-ldap2/Makefile
  head/mail/exim-mysql/Makefile
  head/mail/exim-postgresql/Makefile
  head/mail/exim-sa-exim/Makefile
  head/mail/exim-sqlite/Makefile
Comment 7 Bartek Rutkowski freebsd_committer 2015-03-29 11:01:56 UTC
The fix has been already committed, so I am closing this PR.